// CPPW32T15.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <iostream>
#include <string>
#include <ctime>

using namespace std;

string menu()
{
	string sSel;
	
	do{
		cout << "C++ Guess My Number Game\n\n";
		cout << "A) Game 1 - 10\n";
		cout << "B) Game 1 - 100\n";
		cout << "C) Game 1 - 1000\n";
		cout << "Please Make A Selection: ";

		cin >> sSel;

		cin.clear();
		cin.ignore(numeric_limits<streamsize>::max(), '\n');

		sSel[0] = toupper(sSel[0]);

		system("CLS");

	}while(sSel!="A" && sSel!="B" && sSel!="C");

	return sSel;

}

int getnum(string s)
{
	srand(time(0));

	if (s == "A")
		return (rand()%10 + 1);
	else if (s == "B")
		return (rand()%100 + 1);
	else if (s == "C")
		return (rand()%1000 + 1);
}

int startgame(int iComputerNum)
{
	int iUserNum;
	int iGuess = 0;
	bool bFail;

	do{
		do{
			cout << "\n\nPlease Enter A Guess: ";
			cin >> iUserNum;

			cin.clear();
			cin.ignore(numeric_limits<streamsize>::max(), '\n');

			bFail = cin.fail();

		}while(bFail == true);

		iGuess++;

		if (iComputerNum > iUserNum)
			cout << "\nYour Guess Was Too Low";
		else if (iComputerNum < iUserNum)
			cout << "\nYour Guess Was Too High";
		else
			cout << "\nYou Guessed My Number In " << iGuess << " Guesses\n\n";
	
	}while (iComputerNum != iUserNum);

	return 0;
}

int _tmain(int argc, _TCHAR* argv[])
{
	string sGame;
	int iComputer;
	
	do{
		system("CLS");
		sGame = menu();
		iComputer = getnum(sGame);
		startgame(iComputer);

		do{
			cout << "Do You Want To Play Again Y/N: ";
			cin >> sGame;

			sGame[0] = toupper(sGame[0]);

			cin.clear();
			cin.ignore(numeric_limits<streamsize>::max(), '\n');

		}while (sGame!="Y" && sGame!="N");

	}while(sGame!="N");

	system("PAUSE");

	return 0;
}

